
From: Pavel Machek <pavel@ucw.cz>

This should bits from -mm tree that are affected by pm_message_t
conversion.  [I'm not 100% sure I got all of them, but I certainly got all
the errors on make allyesconfig build, and most of warnings, too.  I'll go
through the buildlog tommorow and fix any remaining bits].


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/perfctr/x86.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/perfctr/x86.c~fix-pm_message_t-stuff-in-mm-tree-perfctr drivers/perfctr/x86.c
--- 25/drivers/perfctr/x86.c~fix-pm_message_t-stuff-in-mm-tree-perfctr	Wed Jul 13 18:00:50 2005
+++ 25-akpm/drivers/perfctr/x86.c	Wed Jul 13 18:00:50 2005
@@ -1640,7 +1640,7 @@ static void perfctr_pm_resume(void)
 
 #include <linux/sysdev.h>
 
-static int perfctr_device_suspend(struct sys_device *dev, u32 state)
+static int perfctr_device_suspend(struct sys_device *dev, pm_message_t state)
 {
 	perfctr_pm_suspend();
 	return 0;
_
